It is currently Thu Sep 19, 2019 7:06 am


All times are UTC




Post new topic Reply to topic  [ 7 posts ] 
Author Message
 Post subject: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Thu Jul 04, 2013 4:03 pm 
Offline

Joined: Sat Jun 29, 2013 3:23 pm
Posts: 6
Can;t get QEMU 1.4.2 to launch an ASA 8.4 image.
Context: Centos 6.4 32 bit, GNS3 8.3.1 (RC3)

Here's what happens when I try to start an ASA image, or just click 'Test Settings" on the GNS3 QEMU general setup tab.
Is this maybe a missing parameter, or is this version simply not supported yet?

Thanks,

-----------

[[email protected] qemuwrapper]# ./qemuwrapper.py
Qemu Emulator Wrapper (version 0.8.3.1)
Copyright (c) 2007-2011 Thomas Pani & Jeremy Grossmann

usage: qemu-i386 [options] program [arguments...]
Linux CPU emulator (compiled for i386 emulation)

Options and associated environment variables:

Argument Env-variable Description
-h print this help
-g port QEMU_GDB wait gdb connection to 'port'
-L path QEMU_LD_PREFIX set the elf interpreter prefix to 'path'
-s size QEMU_STACK_SIZE set the stack size to 'size' bytes
-cpu model QEMU_CPU select CPU (-cpu help for list)
-E var=value QEMU_SET_ENV sets targets environment variable (see below)
-U var QEMU_UNSET_ENV unsets targets environment variable (see below)
-0 argv0 QEMU_ARGV0 forces target process argv[0] to be 'argv0'
-r uname QEMU_UNAME set qemu uname release string to 'uname'
-B address QEMU_GUEST_BASE set guest_base address to 'address'
-R size QEMU_RESERVED_VA reserve 'size' bytes for guest virtual address space
Qemu path (/opt/qemu/qemu-1.4.2/i386-linux-user/qemu-i386) is valid
Qemu-img path (/opt/qemu/qemu-1.4.2/qemu-img) is valid
Qemu TCP control server started (port 10525).
Listening on all network interfaces

#
# Try to start an ASA, or alternatively click "test settings" on Preferences > QEMU > General Setup tab >
#

Connection from ('127.0.0.1', 47368)
[Errno 32] Broken pipe
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 47368)
Traceback (most recent call last):
File "/usr/lib64/python2.6/SocketServer.py", line 560, in process_request_thread
self.finish_request(request, client_address)
File "/usr/lib64/python2.6/SocketServer.py", line 322, in finish_request
self.RequestHandlerClass(request, client_address, self)
File "/usr/lib64/python2.6/SocketServer.py", line 618, in __init__
self.finish()
File "/usr/lib64/python2.6/SocketServer.py", line 661, in finish
self.wfile.flush()
File "/usr/lib64/python2.6/socket.py", line 303, in flush
self._sock.sendall(buffer(data, write_offset, buffer_size))
error: [Errno 32] Broken pipe
--------




Top
 Profile  
 
 Post subject: Re: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Thu Jul 04, 2013 4:12 pm 
Offline
Site Admin

Joined: Sat Oct 11, 2008 1:41 pm
Posts: 2668
Location: Canada
Hi,

Can you try with this version? => topic6511.html

Thanks,

_________________
Jeremy, GNS3 Programmer & Benevolent Dictator for Life.


Top
 Profile  
 
 Post subject: Re: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Thu Jul 04, 2013 6:36 pm 
Offline

Joined: Sat Jun 29, 2013 3:23 pm
Posts: 6
Hi,

8.4 RC4 returns a different error...

------------------------------------------------

#
# (... from yum, installing QTWebkit..)
#

Downloading Packages:
(1/2): qt-mobility-1.1.3-2.el6.x86_64.rpm | 1.7 MB 00:01
(2/2): qtwebkit-2.1.1-1.el6.x86_64.rpm | 5.5 MB 00:03
-----------------------------------------------------------------------------------------------------------------------------------------------
Total 1.6 MB/s | 7.2 MB 00:04
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : qt-mobility-1.1.3-2.el6.x86_64 1/2
Installing : qtwebkit-2.1.1-1.el6.x86_64 2/2
Verifying : qtwebkit-2.1.1-1.el6.x86_64 1/2
Verifying : qt-mobility-1.1.3-2.el6.x86_64 2/2

Installed:
qtwebkit.x86_64 0:2.1.1-1.el6

Dependency Installed:
qt-mobility.x86_64 0:1.1.3-2.el6

Complete!

#
# starting gns3...
#

[[email protected] GNS3-0.8.4-RC4-src]# ./gns3
Warning: QtWebKit is not installed. Skipping Tips Dialog...
---------Traceback lines (saved in exception.log)----------
Traceback (most recent call last):

File "./gns3", line 83, in <module>
import GNS3.Main

File "/opt/GNS3_8.4/GNS3-0.8.4-RC4-src/src/GNS3/Main.py", line 24, in <module>
from GNS3.Application import Application

File "/opt/GNS3_8.4/GNS3-0.8.4-RC4-src/src/GNS3/Application.py", line 31, in <module>
from GNS3.Workspace import Workspace

File "/opt/GNS3_8.4/GNS3-0.8.4-RC4-src/src/GNS3/Workspace.py", line 32, in <module>
from GNS3.TipsDialog import TipsDialog

File "/opt/GNS3_8.4/GNS3-0.8.4-RC4-src/src/GNS3/TipsDialog.py", line 31, in <module>
class TipsDialog(QtGui.QDialog, Ui_TipsDialog):

NameError: name 'Ui_TipsDialog' is not defined


Top
 Profile  
 
 Post subject: Re: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Thu Jul 04, 2013 8:14 pm 
Offline
Site Admin

Joined: Sat Oct 11, 2008 1:41 pm
Posts: 2668
Location: Canada
Hi,

Please try this dev snapshot -> http://code.gns3.net/gns3-devel/archive ... 38f367.zip

Thanks,

_________________
Jeremy, GNS3 Programmer & Benevolent Dictator for Life.


Top
 Profile  
 
 Post subject: Re: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Thu Jul 04, 2013 9:04 pm 
Offline

Joined: Sat Jun 29, 2013 3:23 pm
Posts: 6
Geting closer:

Test settings button for QEMU indicates "Failed to start Qemuwrapper: Bad qemuwrapper.py version, ex" (... rest cut off by edge of dialog box.

This is the devbuild you indicated (i used the .bz2) , using QEMU 1.5.1, on Centos 6.4 64-bit.

Is there a logfile I can check for the full error msg?


Top
 Profile  
 
 Post subject: Re: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Thu Jul 04, 2013 9:10 pm 
Offline
Site Admin

Joined: Sat Oct 11, 2008 1:41 pm
Posts: 2668
Location: Canada
Quote:
Test settings button for QEMU indicates "Failed to start Qemuwrapper: Bad qemuwrapper.py version, ex" (... rest cut off by edge of dialog box.


You have to update the path to qemuwrapper.py (the one included in the archive).

_________________
Jeremy, GNS3 Programmer & Benevolent Dictator for Life.


Top
 Profile  
 
 Post subject: Re: Qemu 1.4.2 supported on GNS3 8.3.1?
PostPosted: Fri Jul 05, 2013 2:02 pm 
Offline

Joined: Sat Jun 29, 2013 3:23 pm
Posts: 6
Success - partially. ASA 8.4 image now starts (indicator in topology panel turns green) . But can't connect to console. new tab appears on console app, but telnet returns error msg:

Trying 127.0.0.1...
telnet: connect to address 127.0.0.1: Connection refused.

Tried these approaches:
manually telnetting to 3001
Moved port to 2005
reset port to 3001 and then shut down firewall
No change.

Note: router consoles work correctly, appear as new tabs.




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 7 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO